# TBasicKeyFrame Class Reference

Inheritance diagram for TBasicKeyFrame:

List of all members.

## Public Member Functions
virtual boolean MCCOMAPI | SupportTangent () const
virtual int32 MCCOMAPI | GetDimensionCount () const
virtual void MCCOMAPI | GetDimensionValues (TMCArray< real > &values) const
virtual void MCCOMAPI | SetDimensionValues (const TMCArray< real > &values)
virtual void MCCOMAPI | CreateTangents ()
virtual void MCCOMAPI | RemoveTangents ()
virtual boolean MCCOMAPI | HaveTangents () const
virtual ETangentType MCCOMAPI | GetTangentType (int32 dimension, int32 &outTangentFlags) const
virtual void MCCOMAPI | SetTangentType (int32 dimension, ETangentType inTangentType, int32 inTangentFlags)
virtual boolean MCCOMAPI | GetTangent (int32 dimension, ETangentSide side, real &value, MicroTick &time) const
virtual void MCCOMAPI | SetTangent (int32 dimension, ETangentSide side, real value, MicroTick time)
virtual void MCCOMAPI | SetLink (I3DShTweenerChainLink *inLink)
virtual I3DShTweenerChainLink *MCCOMAPI | GetLinkNoAddRef ()
## Protected Attributes
TMCCountedPtr < I3DShTweenerChainLink > | fLink

## Member Function Documentation

virtual void MCCOMAPI TBasicKeyFrame::CreateTangents | ( |  | ) | `[inline, virtual]`

Creates tangents for this keyframe.

Implements I3DShKeyFrame.

virtual int32 MCCOMAPI TBasicKeyFrame::GetDimensionCount | ( |  | ) | const`[inline, virtual]`

Returns the dimension count for this keyframe (number of curve in the graph editor). Returns 0 if this keyframe cannot be displayed as curves.

Implements I3DShKeyFrame.

virtual void MCCOMAPI TBasicKeyFrame::GetDimensionValues | ( | TMCArray< real > & | values | ) | const`[inline, virtual]`

Returns the values corresponding to the dimension of the keyframe (converted as real).

Parameters:

  | values | A pointer to an array that can store the values.

Implements I3DShKeyFrame.

virtual I3DShTweenerChainLink* MCCOMAPI TBasicKeyFrame::GetLinkNoAddRef | ( |  | ) | `[inline, virtual]`

Returns a pointer to the tweener chain link that is pointing to this keyframe.

Implements I3DShKeyFrame.

virtual boolean MCCOMAPI TBasicKeyFrame::GetTangent | ( | int32 | dimension,
|  | ETangentSide | side,
|  | real & | value,
|  | MicroTick & | time |
| ) |  |  | const`[inline, virtual]`

Gets the tangent for the given dimension at the given time

Parameters:

  | dimension | The dimension (must be < GetDimensionCount()).
  | side | Which tangent left or right.
  | value | The value of the tangent to be returned,
  | time | The time of the tangent to get.

Returns:
  true if the tangent exists or false otherwise.

Implements I3DShKeyFrame.

virtual ETangentType MCCOMAPI TBasicKeyFrame::GetTangentType | ( | int32 | dimension,
|  | int32 & | outTangentFlags |
| ) |  |  | const`[inline, virtual]`

Returns the tangent type for a given dimension.

Parameters:

  | dimension | The dimension (must be < GetDimensionCount()).
  | outTangentFlags | The flags for this tangent (see ETangentFlag).

Implements I3DShKeyFrame.

virtual boolean MCCOMAPI TBasicKeyFrame::HaveTangents | ( |  | ) | const`[inline, virtual]`

Returns true if this keyframe have keyframes.

Implements I3DShKeyFrame.

virtual void MCCOMAPI TBasicKeyFrame::RemoveTangents | ( |  | ) | `[inline, virtual]`

Removes tangents for this keyframe.

Implements I3DShKeyFrame.

virtual void MCCOMAPI TBasicKeyFrame::SetDimensionValues | ( | const TMCArray< real > & | values | ) | `[inline, virtual]`

Sets the value corresponding to one of the dimension of this keyframe.

Parameters:

  | values | A pointer to an array that stores the values.

Implements I3DShKeyFrame.

virtual void MCCOMAPI TBasicKeyFrame::SetLink | ( | I3DShTweenerChainLink * | inLink | ) | `[inline, virtual]`

Sets a pointer to the tweener chain link that is pointing to this keyframe.

Parameters:

  | inLink | A pointer to the tweener chain link that is pointing to this keyframe.

Implements I3DShKeyFrame.

virtual void MCCOMAPI TBasicKeyFrame::SetTangent | ( | int32 | dimension,
|  | ETangentSide | side,
|  | real | value,
|  | MicroTick | time |
| ) |  |  | `[inline, virtual]`

Gets the left tangent for the given dimension

Parameters:

  | dimension | The dimension (must be < GetDimensionCount()).
  | side | Which tangent left or right.
  | value | The value of the tangent to be set,
  | time | The time of the tangent to set.

Implements I3DShKeyFrame.

virtual void MCCOMAPI TBasicKeyFrame::SetTangentType | ( | int32 | dimension,
|  | ETangentType | inTangentType,
|  | int32 | inTangentFlags |
| ) |  |  | `[inline, virtual]`

Sets the tangent type for a given dimension.

Parameters:

  | dimension | The dimension (must be < GetDimensionCount()).
  | inTangentType | The tangent type (see ETangentFlag).
  | inTangentFlags | The flags for this tangent (see ETangentFlag).

Implements I3DShKeyFrame.

virtual boolean MCCOMAPI TBasicKeyFrame::SupportTangent | ( |  | ) | const`[inline, virtual]`

Returns true if this keyframe support tangents.

Implements I3DShKeyFrame.

## Member Data Documentation

TMCCountedPtr<I3DShTweenerChainLink> TBasicKeyFrame::fLink`[protected]`

The documentation for this class was generated from the following file:

- BasicKeyFrame.h